# 🚀 **SHX SERVER**

![GitHub Workflow Status](https://img.shields.io/github/actions/workflow/status/bravo68web/shx/build.yaml?style=for-the-badge)
![GitHub last commit](https://img.shields.io/github/last-commit/bravo68web/shx?style=for-the-badge)
![GitHub code size in bytes](https://img.shields.io/github/languages/code-size/bravo68web/shx?style=for-the-badge)
![Snyk Vulnerabilities for GitHub Repo](https://img.shields.io/snyk/vulnerabilities/github/bravo68web/shx?style=for-the-badge)

[![forthebadge](https://forthebadge.com/images/badges/made-with-typescript.svg)](https://forthebadge.com)
[![forthebadge](https://forthebadge.com/images/badges/powered-by-black-magic.svg)](https://forthebadge.com)
[![forthebadge](https://forthebadge.com/images/badges/built-with-love.svg)](https://forthebadge.com)

## 📝 Description

Shx is a custom ShareX server that allows you to upload and share files, images, text and URLs with ease. This server is built using Node.js and Express.js and stores the uploaded content on AWS S3 and Redis.

## 🛠️ Technologies Used

- Node.js
- Express.js
- TypeScript
- Redis
- Cloudflare R2
- Hasura Graphql (with PostgreSQL)

## 🚀 Features

- File upload
- Image upload
- Text upload
- URL shortener

## 🚀 Getting Started

To get started with the project, follow these steps:

1. Clone the repo.
2. Run `npm install` to install dependencies.
3. Copy the `.env.example` file and create a `.env` file with your environment variables.
4. Run `npm run dev` to start the development server.

## 📜 Scripts

- `npm run dev`: Starts the development server.
- `npm run build`: Builds the project.
- `npm start`: Starts the project.
- `npm run prettier`: Runs Prettier to format code.

## 📝 License

This project is licensed under the ISC License.

For more information, please see the `LICENSE` file.

## 📧 Contact

If you have any questions or would like to contribute to the project, please contact `hi@b68.dev`.